param( 
[Parameter(Mandatory=$true, HelpMessage='Provide the url of the decisioncenter host http(s)://host:port')][string]$serverURL = ''
)

class TrustAllCertsPolicy : System.Net.ICertificatePolicy {
    [bool] CheckValidationResult([System.Net.ServicePoint] $a,
                                 [System.Security.Cryptography.X509Certificates.X509Certificate] $b,
                                 [System.Net.WebRequest] $c,
                                 [int] $d) {
        return $true
    }
}
[System.Net.ServicePointManager]::CertificatePolicy = [TrustAllCertsPolicy]::new()

[System.IO.Directory]::CreateDirectory('odm') | Out-Null
Set-Location odm  | Out-Null
$dc_assets=$serverURL+$(if ($serverURL -match '/$'){''} else {"/"} )  +"decisioncenter/assets/decision-center-client-api.zip"
$dcrepairpath="https://www.ibm.com/support/pages/system/files/inline-files/DC_Repair-2.16_0.zip"
$antdownload="https://dlcdn.apache.org//ant/binaries/apache-ant-1.10.12-bin.zip"

# download asset from decisioncenter
Try {
    Invoke-WebRequest -Uri ($dc_assets) -OutFile ("assets.zip") 
    Expand-Archive -Force -Path "assets.zip" -DestinationPath .
    $dcbin=$pwd.Path+'\teamserver\bin'
    [System.IO.Directory]::CreateDirectory( $dcbin) | Out-Null
    Remove-Item "assets.zip"
    Copy-Item -Force -Path "..\dcbin\build.xml" -Destination ".\teamserver\bin"
    Copy-Item -Force -Path "..\dcbin\l10n-distrib-macrodefs.xml" -Destination ".\teamserver\bin"
    Copy-Item -Force -Path "..\dcbin\teamserver-anttasks.properties" -Destination ".\teamserver\bin"
}Catch{
    Write-Host $_
    Write-Host 'Unable to install assets from ' $dc_assets
    Set-Location .. | Out-Null
    return
}
# download dcrepair zip
try {
    Invoke-WebRequest   -Uri ($dcrepairpath) -OutFile ("dcrepair.zip") 
    Expand-Archive -Force -Path "dcrepair.zip" -DestinationPath "teamserver/bin"
    Remove-Item "dcrepair.zip"
}Catch{
    Write-Host 'Unable to install repair scripts from ' $dcrepairpath
    Set-Location .. | Out-Null
    return
}
# download ant
try {
    Invoke-WebRequest   -Uri ($antdownload) -OutFile ("apache-ant.zip") 
    Expand-Archive  -Force -Path "apache-ant.zip" -DestinationPath .
    Rename-Item apache-ant-1.10.12 ant
    Remove-Item "apache-ant.zip"
}Catch{
    Write-Host 'Unable to install ant from ' $antdownload
    Set-Location .. | Out-Null
    return
}

Set-Location .. | Out-Null

