#!/bin/bash
if [ "$#" -ne 1 ]; then
    echo "pass the decisioncenter host url in parameter  [http(s)://host:port]"
    exit
fi

serverURL=$1
if [[ "$serverURL" == */ ]]
then
  separator=""
else
  separator="/"
fi
dc_assets=${serverURL}${separator}"decisioncenter/assets/decision-center-client-api.zip"
dcrepairpath="https://www.ibm.com/support/pages/system/files/inline-files/DC_Repair-2.16_0.zip"
antdownload="https://dlcdn.apache.org//ant/binaries/apache-ant-1.10.12-bin.zip"


mkdir odm
cd odm

wget -O assets.zip --no-check-certificate $dc_assets 
if [ $? -ne 0 ]
then
    echo "unable to install assets"
    cd ..
    exit
fi
jar xf assets.zip
if [ $? -ne 0 ]
then
    echo "unable to install assets"
    cd ..
    exit
fi
rm -f  assets.zip
mkdir teamserver/bin
cp ../dcbin/*  teamserver/bin
wget -O dcrepair.zip --no-check-certificate $dcrepairpath
if [ $? -ne 0 ]
then
    echo "unable to install repair scripts"
    cd ..
    exit
fi
cd teamserver/bin
jar xf ../../dcrepair.zip
if [ $? -ne 0 ]
then
    echo "unable to install repair scripts"
    cd ../../..
    exit
fi
cd ../..
rm -f dcrepair.zip
ant
if [ $? -ne 0 ] 
then
  wget -O ant.zip --no-check-certificate $antdownload
  if [ $? -ne 0 ]
  then
      echo "unable to install ant"
      cd ..
      exit
  fi
  jar xf ant.zip
  if [ $? -ne 0 ]
  then
      echo "unable to install ant"
      cd ..
      exit
  fi
  mv apache-ant-1.10.12 ant
  chmod a+x  ant/bin/*
  rm -f ant.zip
else
  echo "ant is already installed"
fi
cd ..